%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


# Oh the horrors of arch dependent noarch packages!
# (bzrlib is arch dependent.  Thus bzrlib plugins are also arch dependent.)
%define debug_package %{nil}

Name:           bzr-gtk
Version:        0.91.0
Release:        2%{?dist}
Summary:        Bazaar plugin for GTK+ interfaces to most Bazaar operations

Group:          Development/Tools
License:        GPLv2+
URL:            http://bazaar-vcs.org/bzr-gtk
Source0:        https://launchpad.net/bzr-gtk/0.91/%{version}/+download/bzr-gtk-%{version}.tar.gz
# We can't use the notifier functionality without a bzr-dbus-package.
Patch0:         bzr-gtk-disable-notifier.patch
# Fix some bugs in the nautilus integration.  Submitted upstream
Patch1:         bzr-gtk-nautilus.patch
Patch2:         bzr-gtk-nautilus-protocol.patch
# This requires some nonexistent functionality.  Bug filed upstream.  Disabled
# for now.
Patch3:         bzr-gtk-disable-nautilus-pull.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  bzr
BuildRequires:  gettext
Requires:       bzr >= 0.18
# This enables the commit-notify functionality but it's not packaged for
# Fedora yet.
#Requires:       bzr-dbus

%description
bzr-gtk is a plugin for Bazaar that aims to provide GTK+ interfaces to most
Bazaar operations.

%package -n olive
Summary: Graphical frontend to the bazaar revision control system
Group: Development/Tools
Requires: %{name} = %{version}-%{release}

%description -n olive
Olive aims to be a full-featured graphical frontend for Bazaar.  It will
expose all core functionality of Bazaar in a user-friendly GUI.

%package -n nautilus-bzr
Summary: Nautilus plugin for the bazaar revision control system
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires:       nautilus-python >= 0.4.3-4

%description -n nautilus-bzr
nautilus-bzr is an extension for Nautilus, the GNOME file manager.  It
allows you to perform some revision control commands on Bazaar Working Trees
from within Nautilus.

%prep
%setup -q
%patch0 -p1 -b .disable
%patch1 -p1 -b .nautilusfixes
%patch2 -p1 -b .nautilusprotocol
%patch3 -p1 -b .nautilusdisable

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
if test "%{python_sitelib}" != "%{python_sitearch}" ; then
    install -d -m 0755 $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/plugins/
    mv $RPM_BUILD_ROOT%{python_sitelib}/bzrlib/plugins/gtk $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/plugins
    mv $RPM_BUILD_ROOT%{python_sitelib}/olive $RPM_BUILD_ROOT%{python_sitearch}
fi

install -d -m 0755 $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/python/
mv $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/plugins/gtk/nautilus* $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/python/

# No translations yet
#%find_lang olive

# This won't do anything until after we add bzr-dbus.
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/bzr-notify.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitearch}/bzrlib/plugins/gtk/
%{_datadir}/applications/bazaar-properties.desktop

#%files -n olive -f olive.lang
%files -n olive
%defattr(-,root,root,-)
%{_bindir}/*
%{python_sitearch}/olive/
%{_datadir}/olive/
%{_datadir}/pixmaps/olive-gtk.png
%{_datadir}/applications/olive-gtk.desktop

%files -n nautilus-bzr
%{_libdir}/nautilus/extensions-1.0/python/*

%changelog
* Wed Sep 26 2007 Toshio Kuratomi <a.badger@gmail.com> 0.91.0-2
- Olive must be moved to an arch specific directory as well for now.
  If rpm could have noarch subpackages, this would be fine to leave in
  python_sitelib.

* Wed Sep 26 2007 Toshio Kuratomi <a.badger@gmail.com> 0.91.0-1
- Update to 0.91.0.

* Thu Aug 30 2007 Toshio Kuratomi <a.badger@gmail.com> 0.90.0-2
- Move the plugins manually as distutils doesn't know that bzr is arch
  specific.

* Tue Aug 28 2007 Toshio Kuratomi <a.badger@gmail.com> 0.90.0-1
- Update to 0.90.0.
- Update license tag to the new Licensing Guidelines.
- Bzr is now arch specific so all its plugins have to be as well.

* Wed Jul 25 2007 Warren Togami <wtogami@redhat.com> 0.18.0-1
- Update to 0.18.0.

* Thu Jun 28 2007 Warren Togami <wtogami@redhat.com> 0.17.0-1
- Update to 0.17.0.

* Fri May 11 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.16.0-1
- Update to 0.16.0.
- Apply patch to fix traceback in nautilus module.

* Mon Apr 30 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.2-3
- Add a nautilus subpackage as there's now a nautilus-python package in Fedora.

* Wed Apr 18 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.2-2
- Fix olive description.

* Fri Apr 3 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.2-1
- Upgrade to 0.15.2:
  + Traceback fixed upstream.
  + UI fix to allow resizing the gstatus dialog window.
- Disable the commit notifier as it won't work until we get bzr-dbus into
  Fedora.

* Thu Apr 2 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.1-2
- Fix a traceback in two bzr-gtk subcommands.

* Thu Mar 23 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.1-1
- Update to 0.15.1
- Split olive directory in site-packages into the olive package.
- Don't own the bzrlib or plugins directory as bzr already owns them.
- Notes on splitting the nautilus functionality out.  This isn't done yet as
  we need to add python-nautilus into Fedora.

* Wed Dec 06 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.13.0-1
- Update to 0.13.0
- Desktop file patch merged upstream.

* Wed Dec 06 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.12.0-1
- Update to 0.12.0
- Add a subpackage for the olive code

* Sun Sep 17 2006 Warren Togami <wtogami@redhat.com> 0.10.0-2
- Fix review issues #206877

* Sun Sep 17 2006 Warren Togami <wtogami@redhat.com> 0.10.0-1
- 0.10.0

* Sat Sep 16 2006 Warren Togami <wtogami@redhat.com> 0.9.0-1
- initial Fedora
